package com.cim.idm.dao;


import com.cim.idm.framework.IDMFrameServiceProxy;
import com.cim.idm.wmspackage.materialpacking.management.data.MaterialPacking;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Component
@Mapper
public interface MaterialReversalDao {

    //更新冲销凭证为已冲销
    public static void updateReversalUnDoId(@Param("undoId") String undoId) throws Exception {
//        String sql = "UPDATE IF_ERPUNDO T SET T.FLAG = 'Y' WHERE  T.UNDOID = :UNDOID ";
        String sql = "UPDATE BS_MATERIALPACKINGUNDOINFO T SET T.FLAG = 'Y' WHERE  T.UNDOID = :UNDOID ";
        Map<String, Object> hashMap2 = new HashMap<String, Object>();
        hashMap2.put("UNDOID", undoId);
        IDMFrameServiceProxy.getSqlTemplate().update(sql, hashMap2);
    }
}
